<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('used_product_masters', function (Blueprint $table) {
            $table->id();
            $table->string('reference_no');
            $table->date('used_date');
            $table->string('total');
            $table->string('shop_id')->nullable();
            $table->string('create_by')->nullable();
            $table->unsignedBigInteger('location_id')->nullable();
            $table->unsignedBigInteger('transition_location_id')->nullable();
            $table->unsignedBigInteger('transition_create_by')->nullable();
            $table->unsignedBigInteger('transition_update_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('used_product_masters');
    }
};
